package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsBanner;
import com.ruoyi.system.domain.vo.ZsBannerVo;
import com.ruoyi.system.domain.bo.ZsBannerBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 站点banner管理Service接口
 *
 * @author ruoyi
 * @date 2025-04-28
 */
public interface IZsBannerService {

    /**
     * 查询站点banner管理
     */
    ZsBannerVo queryById(Long id);

    /**
     * 查询站点banner管理列表
     */
    TableDataInfo<ZsBannerVo> queryPageList(ZsBannerBo bo, PageQuery pageQuery);

    /**
     * 查询站点banner管理列表
     */
    List<ZsBannerVo> queryList(ZsBannerBo bo);

    /**
     * 新增站点banner管理
     */
    Boolean insertByBo(ZsBannerBo bo);

    /**
     * 修改站点banner管理
     */
    Boolean updateByBo(ZsBannerBo bo);

    /**
     * 校验并批量删除站点banner管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
